data associated to a SRTP session.
Secure RTP

Store custom user data within a SRTP session. More...

## Functions

void | srtp_set_user_data (srtp_t ctx, void *data)
| srtp_set_user_data() stores the given pointer into the SRTP session for later retrieval.
void * | srtp_get_user_data (srtp_t ctx)
| srtp_get_user_data() retrieves the pointer to the custom data previously stored with srtp_set_user_data().

## Detailed Description

## Function Documentation

## srtp_get_user_data()

void * srtp_get_user_data | ( | srtp_t | ctx | ) |

This function is mostly useful for retrieving data associated to a SRTP session when an event fires. The user can then get such a custom data by calling this function with the session field of the srtp_event_data_t struct as argument.

Parameters

  ctx | is the srtp_t context in which the given data pointer was stored.

Returns
  void* pointer to the user data.

## srtp_set_user_data()

void srtp_set_user_data | ( | srtp_t | ctx,
|  | void * | data
| ) |  |

Parameters

  ctx | is the srtp_t context in which the given data pointer is stored.
  data | is a pointer to the custom information (struct, function, etc) associated with the SRTP session.

Returns
  void.